## org.mortbay.http
Class JsseListener

    java.lang.Object
      |
      +--org.mortbay.util.ThreadPool
            |
            +--org.mortbay.util.ThreadedServer
                  |
                  +--org.mortbay.http.SocketListener
                        |
                        +--org.mortbay.http.JsseListener

All Implemented Interfaces:
  HttpListener, LifeCycle, java.io.Serializable

Direct Known Subclasses:
  IbmJsseListener, SunJsseListener

public abstract class JsseListener
extends SocketListener

JSSE Socket Listener. This specialization of HttpListener is an abstract listener that can be used as the basis for a specific JSSE listener. This is heavily based on the work from Court Demas, which in turn is based on the work from Forge Research.

Version:
  $Id: JsseListener.java,v 1.14.2.2 2003/11/22 15:52:51 gregwilkins Exp $
Author:
  Greg Wilkins (gregw@mortbay.com), Court Demas (court@kiwiconsulting.com), Forge Research Pty Ltd ACN 003 491 576, Jan Hlavat?
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.mortbay.util.ThreadPool
`ThreadPool.PoolThread`

Field Summary
`static java.lang.String` `DEFAULT_KEYSTORE` Default value for the keystore location path.
`static java.lang.String` `DEFAULT_KEYSTORE_PROVIDER_CLASS` Default value for keystore provider class.
`static java.lang.String` `DEFAULT_KEYSTORE_PROVIDER_NAME` Default value for keystore provider name.
`static java.lang.String` `DEFAULT_KEYSTORE_TYPE` Default keystore type
`static java.lang.String` `KEYPASSWORD_PROPERTY` String name of key password property.
`static java.lang.String` `KEYSTORE_PROPERTY` String name of keystore location path property.
`static java.lang.String` `KEYSTORE_PROVIDER_CLASS_PROPERTY` String name of keystore provider class property
`static java.lang.String` `KEYSTORE_PROVIDER_NAME_PROPERTY` String name of keystore provider name property
`static java.lang.String` `KEYSTORE_TYPE_PROPERTY` String name of keystore type property
`static java.lang.String` `PASSWORD_PROPERTY` String name of keystore password property.

Fields inherited from class org.mortbay.util.ThreadPool
`__DAEMON, __PRIORITY`

Fields inherited from interface org.mortbay.http.HttpListener
`ATTRIBUTE`

Constructor Summary
`JsseListener()` Constructor.
`JsseListener(InetAddrPort p_address)` Constructor.

Method Summary
`boolean` `getNeedClientAuth()`
`java.lang.String` `getNonPersistentUserAgent()`
`boolean` `isConfidential(HttpConnection connection)` Get the confidential status of a connection.
`boolean` `isIntegral(HttpConnection connection)` Get the integral status of a connection.
`void` `setNeedClientAuth(boolean needClientAuth)` Set the value of the needClientAuth property
`void` `setNonPersistentUserAgent(java.lang.String agent)`

Methods inherited from class org.mortbay.http.SocketListener

`customizeRequest, getBufferReserve, getBufferSize, getConfidentialPort, getConfidentialScheme, getDefaultScheme, getHttpServer, getIdentifyListener, getIntegralPort, getIntegralScheme, getLowResourcePersistTimeMs, handleConnection, isLowOnResources, isOutOfResources, persistConnection, setBufferReserve, setBufferSize, setConfidentialPort, setConfidentialScheme, setDefaultScheme, setHttpServer, setIdentifyListener, setIntegralPort, setIntegralScheme, setLowResourcePersistTimeMs, start, stop`

Methods inherited from class org.mortbay.util.ThreadedServer
`getHost, getInetAddress, getInetAddrPort, getLingerTimeSecs, getMaxReadTimeMs, getPort, getServerSocket, handle, open, setHost, setInetAddress, setInetAddrPort, setLingerTimeSecs, setMaxReadTimeMs, setPort, toString`

Methods inherited from class org.mortbay.util.ThreadPool
`getIdleThreads, getMaxIdleTimeMs, getMaxThreads, getMinThreads, getName, getPoolName, getThreads, getThreadsPriority, isDaemon, isStarted, join, run, setDaemon, setMaxIdleTimeMs, setMaxStopTimeMs, setMaxThreads, setMinThreads, setName, setPoolName, setThreadsPriority, shrink`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.http.HttpListener
`getHost, getPort, setHost, setPort`

Methods inherited from interface org.mortbay.util.LifeCycle
`isStarted`

Field Detail

### KEYSTORE_PROPERTY

    public static final java.lang.String KEYSTORE_PROPERTY

  String name of keystore location path property.

  See Also:
    Constant Field Values

### KEYSTORE_TYPE_PROPERTY

    public static final java.lang.String KEYSTORE_TYPE_PROPERTY

  String name of keystore type property

  See Also:
    Constant Field Values

### DEFAULT_KEYSTORE_TYPE

    public static final java.lang.String DEFAULT_KEYSTORE_TYPE

  Default keystore type

### KEYSTORE_PROVIDER_NAME_PROPERTY

    public static final java.lang.String KEYSTORE_PROVIDER_NAME_PROPERTY

  String name of keystore provider name property

  See Also:
    Constant Field Values

### KEYSTORE_PROVIDER_CLASS_PROPERTY

    public static final java.lang.String KEYSTORE_PROVIDER_CLASS_PROPERTY

  String name of keystore provider class property

  See Also:
    Constant Field Values

### DEFAULT_KEYSTORE_PROVIDER_CLASS

    public static final java.lang.String DEFAULT_KEYSTORE_PROVIDER_CLASS

  Default value for keystore provider class. null = use default

### DEFAULT_KEYSTORE

    public static final java.lang.String DEFAULT_KEYSTORE

  Default value for the keystore location path.

### DEFAULT_KEYSTORE_PROVIDER_NAME

    public static final java.lang.String DEFAULT_KEYSTORE_PROVIDER_NAME

  Default value for keystore provider name. null = use default

### PASSWORD_PROPERTY

    public static final java.lang.String PASSWORD_PROPERTY

  String name of keystore password property.

  See Also:
    Constant Field Values

### KEYPASSWORD_PROPERTY

    public static final java.lang.String KEYPASSWORD_PROPERTY

  String name of key password property.

  See Also:
    Constant Field Values

Constructor Detail

### JsseListener

    public JsseListener()

  Constructor.

### JsseListener

    public JsseListener(InetAddrPort p_address)

  Constructor.

Parameters:
  `p_address` -

Method Detail

### setNeedClientAuth

    public void setNeedClientAuth(boolean needClientAuth)

  Set the value of the needClientAuth property

  Parameters:
    `needClientAuth` - true iff we require client certificate authentication.

### getNeedClientAuth

    public boolean getNeedClientAuth()

### isIntegral

    public boolean isIntegral(HttpConnection connection)

  Description copied from interface: `HttpListener`
  Get the integral status of a connection.

  Specified by:
    `isIntegral` in interface `HttpListener`
  Overrides:
    `isIntegral` in class `SocketListener`
  Parameters:
    `connection` - The connection to test.
  Returns:
    True of the connection checks the integrity of the data. For most implementations this is true for https connections.

### isConfidential

    public boolean isConfidential(HttpConnection connection)

  Description copied from interface: `HttpListener`
  Get the confidential status of a connection.

  Specified by:
    `isConfidential` in interface `HttpListener`
  Overrides:
    `isConfidential` in class `SocketListener`
  Parameters:
    `connection` - The connection to test.
  Returns:
    True of the connection checks the integrity of the data. For most implementations this is true for https connections.

### getNonPersistentUserAgent

    public java.lang.String getNonPersistentUserAgent()

  Returns:
    The user agent substring for browsers that can't grok persistent SSL (msie 5)

### setNonPersistentUserAgent

    public void setNonPersistentUserAgent(java.lang.String agent)

  Parameters:
    `agent` - The user agent substring for browsers that can't grok persistent SSL (msie 5)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.